Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Class PluginEntry

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.ContentEntryModel
                  org.eclipse.update.core.model.PluginEntryModel
                      org.eclipse.update.core.PluginEntry

All Implemented Interfaces:
  IAdaptable, IPlatformEnvironment, IPluginEntry

public class PluginEntry
extends PluginEntryModel
implements IPluginEntry

Convenience implementation of plug-in entry.

This class may be instantiated or subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `IPluginEntry`, `PluginEntryModel`

Field Summary

Fields inherited from class org.eclipse.update.core.model.ContentEntryModel
`UNKNOWN_SIZE`

Constructor Summary
`PluginEntry()` Plug-in entry default constructor

Method Summary
`boolean` | `equals(Object object)` Compares two plugin entries for equality
`VersionedIdentifier` | `getVersionedIdentifier()` Returns the identifier of this plugin entry
`void` | `setVersionedIdentifier(VersionedIdentifier identifier)` Sets the identifier of this plugin entry.

Methods inherited from class org.eclipse.update.core.model.PluginEntryModel
`getPluginIdentifier, getPluginVersion, isFragment, isFragment, isUnpack, setPluginIdentifier, setPluginVersion, setUnpack, toString`

Methods inherited from class org.eclipse.update.core.model.ContentEntryModel
`getDownloadSize, getInstallSize, getNL, getOS, getOSArch, getWS, setArch, setDownloadSize, setInstallSize, setNL, setOS, setWS`

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getPropertyName, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolve, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.update.core.IPluginEntry
`getDownloadSize, getInstallSize, isFragment`

Methods inherited from interface org.eclipse.update.core.IPlatformEnvironment
`getNL, getOS, getOSArch, getWS`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### PluginEntry

    public PluginEntry()

  Plug-in entry default constructor

Method Detail

### getVersionedIdentifier

    public VersionedIdentifier getVersionedIdentifier()

  Returns the identifier of this plugin entry

  Specified by:
    `getVersionedIdentifier` in interface `IPluginEntry`
  Returns:
    plugin entry identifier
  Since:
    2.0
  See Also:
    `IPluginEntry.getVersionedIdentifier()`

### setVersionedIdentifier

    public void setVersionedIdentifier(VersionedIdentifier identifier)

  Sets the identifier of this plugin entry.

  Specified by:
    `setVersionedIdentifier` in interface `IPluginEntry`
  Parameters:
    `identifier` - plugin entry identifier
  Since:
    2.0
  See Also:
    `IPluginEntry.setVersionedIdentifier(VersionedIdentifier)`

### equals

    public boolean equals(Object object)

  Compares two plugin entries for equality

  Overrides:
    `equals` in class `PluginEntryModel`
  Parameters:
    `object` - plugin entry object to compare with
  Returns:
    `true` if the two entries are equal, `false` otherwise
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.